Read one caller request with its full event trail
GET
/v1/caller-requests/{request_id}
const url = 'https://api.vocapable.com/v1/caller-requests/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/caller-requests/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”request_id
required
Request Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CallerRequestResource
The single-request read, with its full event trail embedded oldest-first.
object
id
required
Id
string
kind
required
Kind
string
state
required
State
string
body
required
Body
string
version
required
Version
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{ "kind": "message", "state": "open", "severity": "critical", "events": [ { "action": "opened" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}